<?php

namespace Administracion\ClinicasBundle\Entity;

use Doctrine\ORM\EntityRepository;

/**
 * RecetaRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class RolesRepository extends EntityRepository
{
    public function loadRolByUsername($username)
    {
        return $this->getEntityManager()
            ->createQuery('SELECT a
                           FROM ClinicasBundle:Roles, ClinicasBundle:Users a
                           WHERE r.difficulty = :difficulty')
            ->setParameter('difficulty', 'difícil')
            ->getResult();
    }
}